This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 847035

Summary: The xterm menu item does not displays an icon for XFCE and KDE
Product: [Fedora] Fedora Reporter: Massimiliano <massi.ergosum>
Component: xtermAssignee: Miroslav Lichvar <mlichvar>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 17CC: adaptee, dickey, mlichvar, pertusus, redhat
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 755206 Environment:
Last Closed: 2012-10-10 10:55:40 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Massimiliano 2012-08-09 09:52:43 EDT
+++ This bug was initially created as a clone of Bug #755206 +++

Description of problem:
The xterm menu item does not displays an icon in both my XFCE and KDE environments

Version-Release number of selected component (if applicable):
$ rpm -q xterm
xterm-268-1.fc15.i686 

How reproducible:
Open the applications menu where the xterm item is located: no icon (or default icon) is shown

Expected results:
An icon shown, that is related to the xterm label

Additional info:
The file /usr/share/applications/fedora-xterm.desktop contains an entry that points to a icon that is not not present in my system:
$ grep -i icon /usr/share/applications/fedora-xterm.desktop
Icon=gnome-xterm

If I change this entry pointing an image present into the package, then an icon (not very nice, but acceptable) is displayed:
Icon=xterm_48x48

--- Additional comment from bobf@bfarmer.net on 2011-11-19 10:26:26 EST ---

The "gnome-xterm" icon appears to be from the "gnome-desktop" package.  In my Fedora 15 installation, that package was installed, so things were fine, but now in Fedora 16, that package didn't get installed even though I was installed both GNOME and KDE.  After manually installing the package, the icon graphics still didn't fix itself in KDE, but I was at least able to manually edit the XTerm icon to use it.

--- Additional comment from massi.ergosum@gmail.com on 2012-06-12 08:36:54 EDT ---

This issue is still present in F17: does somebody love this bug?

--- Additional comment from dickey@radix.net on 2012-06-12 17:42:35 EDT ---

However gnome-desktop3 contains no icons (or themes which organize them).
I would expect the gnome-desktop package to become obsolete at some point.

--- Additional comment from adaptee@gmail.com on 2012-06-22 01:36:13 EDT ---

Please stop this gnomeism. Xterm is desktop agnostic in upstream, why does the downstream packager decide to force this strange and non-working gnomeism upon users ?

--- Additional comment from dickey@radix.net on 2012-06-27 07:39:50 EDT ---

xterm patch #281 provides icons in svg and png format
which should be used rather than implicitly depending
upon other optional (and sometimes missing) packges.

--- Additional comment from endoflife@fedoraproject.org on 2012-08-07 13:25:34 EDT ---

This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 1 Miroslav Lichvar 2012-10-10 10:55:40 EDT

*** This bug has been marked as a duplicate of bug 804279 ***